메인 콘텐츠로 건너뛰기
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
토큰 - 시간별 가격
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInSol": "1000"
}
Get the current price of a token in USD and native currency. For historical prices, use the /prices endpoint or GraphQL DEXTrades Cube.
Related: GraphQL DEX Trades | MCP: token_get_price

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains

사용 가능한 옵션:
sol,
eth,
bsc
tokenAddress
string
필수

토큰 주소

쿼리 매개변수

timestamp
integer<int64>
필수

가격 타임스탬프 (Unix 초 단위 타임스탬프)

응답

200 - application/json

시간별 가격 조회

Token price

address
string
필수

Token address

예시:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
필수

Price in USD

예시:

"1000"

timestamp
integer<int64>
필수

Timestamp

예시:

1754055151000

priceInSol
string | null

Price in native token

예시:

"1000"